import React from 'react';
import { Services } from './services-factory';
export declare const useServices: () => {
    funnel: import("./services").FunnelService;
    funnelStep: import("./services").FunnelStepService;
    threshold: import("./services").ThresholdService;
    aiModel: import("./services").AIModelService;
    localShapValueService: import("./services").LocalShapValueService;
    globalShapValueService: import("./services").GlobalShapValueService;
    auditView: import("./services").AuditViewService;
    account: import("./services").AccountService;
    action: import("./services").ActionService;
    actionPing: import("./services").ActionPingService;
    admin: import("./services").AdminService;
    alertDataTemplate: import("./services").AlertDataTemplateService;
    apiKey: import("./services").ApiKeyService;
    artifact: import("./services").ArtifactService;
    automation: import("./services").AutomationService;
    button: import("./services").ButtonService;
    conditionBranch: import("./services").ConditionBranchService;
    customDashboard: import("./services").CustomDashboardsService;
    customDashboardItem: import("./services").CustomReportItemService;
    customDashboardMetric: import("./services").CustomMetricService;
    journey: import("./services").JourneyService;
    achievement: import("./services").AchievementService;
    milestone: import("./services").MilestoneService;
    conditionPath: import("./services").ConditionPathService;
    customReports: import("./services").CustomReportService;
    cvu: import("./services").CVUService;
    call: import("./services").CallService;
    cvuCalculationTemplate: import("./services").CvuCalculationTemplateService;
    domain: import("./services").DomainService;
    dynamicScore: import("./services").DynamicScoreService;
    dynamicScoreCondition: import("./services").DynamicScoreConditionService;
    dynamicScoreValue: import("./services").DynamicScoreValueService;
    emailAlert: import("./services").EmailAlertService;
    emailer: import("./services").EmailerService;
    eventLabel: import("./services").EventLabelService;
    events: import("./services").EventService;
    externalID: import("./services").ExternalIDService;
    feed: import("./services").FeedService;
    guide: import("./services").GuideService;
    history: import("./services").HistoryService;
    hostMap: import("./services").HostMapService;
    inbox: import("./services").InboxService;
    integration: {
        jira: import("./services").JiraService;
        airtable: import("./services").AirtableService;
    };
    integrationDocument: import("./services").IntegrationDocumentService;
    integrationInstance: import("./services").IntegrationInstanceService;
    menu: import("./services").MenuService;
    menuButton: import("./services").MenuButtonService;
    menuTriggerOption: import("./services").MenuTriggerOptionService;
    need: import("./services").NeedService;
    needsAndArtifacts: import("./services").NeedsAndArtifactsService;
    note: import("./services").NoteService;
    notification: import("./services").NotificationService;
    objectCreationTemplate: import("./services").ObjectCreationTemplateService;
    opportunity: import("./services").OpportunityService;
    plusOne: import("./services").PlusOneService;
    dataEngine: import("./services").DataEngineService;
    post: import("./services").PostService;
    product: import("./services").ProductService;
    topicRelatedFeedback: import("./services").TopicRelatedFeedbackService;
    auditCoreProperty: import("./services").AuditCorePropertyService;
    property: import("./services").PropertyService;
    propertyCategory: import("./services").PropertyCategoryService;
    propertyMap: import("./services").PropertyMapService;
    propertyOption: import("./services").PropertyOptionService;
    propertyValueMap: import("./services").PropertyValueMapService;
    propertyValueOption: import("./services").PropertyValueOptionService;
    report: import("./services").ReportService;
    response: import("./services").ResponseService;
    risk: import("./services").RiskService;
    savedView: import("./services").SavedViewService;
    savedViewColumnObject: import("./services").SavedViewColumnObjectService;
    segment: import("./services").SegmentService;
    segmentMember: import("./services").SegmentMemberService;
    segmentPreview: import("./services").SegmentPreviewService;
    signal: import("./services").SignalService;
    signalPing: import("./services").SignalPingService;
    slackAlert: import("./services").SlackAlertService;
    statusOptionMap: import("./services").StatusOptionMapService;
    statusOption: import("./services").StatusOptionService;
    step: import("./services").StepService;
    survey: import("./services").SurveyService;
    surveyResponse: import("./services").SurveyResponseService;
    surveySentObject: import("./services").SurveySentObjectService;
    sync: import("./services").SyncService;
    tag: import("./services").TagService;
    task: import("./services").TaskService;
    teamProfile: import("./services").TeamProfileService;
    theme: import("./services").ThemeService;
    themeOption: import("./services").ThemeOptionsService;
    timeline: import("./services").TimelineService;
    topic: import("./services").TopicService;
    trayConfigWizard: import("./services").TrayConfigWizardService;
    traySolutionInstance: import("./services").TraySolutionInstanceService;
    typeOption: import("./services").TypeOptionService;
    user: import("./services").UserService;
    widgetHeaderParam: import("./services").WidgetHeaderParamService;
    comment: import("./services").CommentService;
    commentAuthor: import("./services").CommentAuthorService;
    form: import("./services").FormService;
    formProperty: import("./services").FormPropertyService;
    formPropertyValue: import("./services").FormPropertyValueService;
    playbook: import("./services").PlaybookService;
    notificationPreferences: import("./services").NotificationPreferencesService;
    revenueConfigTemplate: import("./services").RevenueConfigTemplateService;
    mention: import("./services").MentionService;
    ticket: import("./services").TicketService;
    externalStatus: import("./services").ExternalStatusService;
    portalTheme: import("./services").PortalThemeService;
    portal: import("./services").PortalService;
    followUpQuestion: import("./services").FollowUpQuestionService;
    pagesService: import("./services").PageService;
    job: import("./services").JobService;
    organization: import("./services").OrganizationService;
    jobRun: import("./services").JobRunService;
    desiredOutcome: import("./services").DesiredOutcomeService;
    attachment: import("./services").AttachmentService;
    surveyType: import("./services").CustomSurveyTypeService;
    headerBlock: import("./services").HeaderBlockService;
    textBlock: import("./services").TextBlockService;
    successPlan: import("./services").SuccessPlanService;
    attachmentBlock: import("./services").AttachmentBlockService;
    recordOwner: import("./services").RecordOwnerService;
    queuedAutomation: import("./services").QueuedAutomationService;
    multiMapObject: import("./services").MultiMapObjectService;
    folder: import("./services").FolderService;
    customObject: import("./services").CustomObjectService;
    videoBlock: import("./services").VideoBlockService;
    meeting: import("./services").MeetingService;
    email: import("./services").EmailService;
    scoreCard: import("./services").ScoreCardService;
};
type ServicesProviderProps = {
    children: React.ReactNode;
    services: Services;
};
export declare const ServicesProvider: React.NamedExoticComponent<ServicesProviderProps>;
export {};
